Name Machine Type Up Locked Locked Since Locked By OS Type OS Version Arch Description
smithi088.front.sepia.ceph.com smithi True True 2020-04-30 00:47:45.013611 nojha@teuthology ubuntu 18.04 x86_64 None
Status Job ID Links Posted Started Updated
Runtime
Duration
In Waiting
Machine Teuthology Branch OS Type OS Version Description Nodes
pass 4998744 2020-04-29 18:55:16 2020-04-30 00:22:16 2020-04-30 00:42:15 0:19:59 0:12:22 0:07:37 smithi py2 rhel 8.1 rados/mgr/{clusters/{2-node-mgr.yaml} debug/mgr.yaml objectstore/bluestore-comp-lz4.yaml supported-random-distro$/{rhel_latest.yaml} tasks/workunits.yaml} 2
pass 4998706 2020-04-29 18:54:59 2020-04-30 00:02:06 2020-04-30 00:24:06 0:22:00 0:14:07 0:07:53 smithi py2 centos 8.1 rados/thrash/{0-size-min-size-overrides/2-size-2-min-size.yaml 1-pg-log-overrides/normal_pg_log.yaml 2-recovery-overrides/{more-async-partial-recovery.yaml} backoff/peering.yaml ceph.yaml clusters/{fixed-2.yaml openstack.yaml} d-balancer/off.yaml msgr-failures/few.yaml msgr/async-v2only.yaml objectstore/bluestore-stupid.yaml rados.yaml supported-random-distro$/{centos_latest.yaml} thrashers/none.yaml thrashosds-health.yaml workloads/set-chunks-read.yaml} 2
pass 4998646 2020-04-29 18:54:33 2020-04-29 23:35:54 2020-04-30 00:05:53 0:29:59 0:12:40 0:17:19 smithi py2 ubuntu 18.04 rados/thrash/{0-size-min-size-overrides/2-size-2-min-size.yaml 1-pg-log-overrides/normal_pg_log.yaml 2-recovery-overrides/{default.yaml} backoff/peering_and_degraded.yaml ceph.yaml clusters/{fixed-2.yaml openstack.yaml} d-balancer/upmap.yaml msgr-failures/osd-delay.yaml msgr/async.yaml objectstore/filestore-xfs.yaml rados.yaml supported-random-distro$/{ubuntu_latest.yaml} thrashers/mapgap.yaml thrashosds-health.yaml workloads/set-chunk-promote-flush.yaml} 2
pass 4998599 2020-04-29 18:54:13 2020-04-29 23:15:47 2020-04-29 23:41:46 0:25:59 0:19:26 0:06:33 smithi py2 centos 8.1 rados/thrash/{0-size-min-size-overrides/2-size-2-min-size.yaml 1-pg-log-overrides/normal_pg_log.yaml 2-recovery-overrides/{more-active-recovery.yaml} backoff/peering.yaml ceph.yaml clusters/{fixed-2.yaml openstack.yaml} d-balancer/off.yaml msgr-failures/few.yaml msgr/async-v2only.yaml objectstore/bluestore-comp-zlib.yaml rados.yaml supported-random-distro$/{centos_latest.yaml} thrashers/none.yaml thrashosds-health.yaml workloads/small-objects-localized.yaml} 2
pass 4998511 2020-04-29 18:53:35 2020-04-29 22:39:41 2020-04-29 23:17:41 0:38:00 0:25:11 0:12:49 smithi py2 ubuntu 18.04 rados/thrash/{0-size-min-size-overrides/2-size-2-min-size.yaml 1-pg-log-overrides/normal_pg_log.yaml 2-recovery-overrides/{more-partial-recovery.yaml} backoff/peering.yaml ceph.yaml clusters/{fixed-2.yaml openstack.yaml} d-balancer/off.yaml msgr-failures/few.yaml msgr/async-v2only.yaml objectstore/bluestore-avl.yaml rados.yaml supported-random-distro$/{ubuntu_latest.yaml} thrashers/morepggrow.yaml thrashosds-health.yaml workloads/cache-pool-snaps.yaml} 2
pass 4998468 2020-04-29 18:53:16 2020-04-29 22:19:29 2020-04-29 22:41:28 0:21:59 0:10:48 0:11:11 smithi py2 ubuntu 18.04 rados/perf/{ceph.yaml objectstore/bluestore-bitmap.yaml openstack.yaml settings/optimized.yaml ubuntu_latest.yaml workloads/fio_4M_rand_rw.yaml} 1
fail 4998435 2020-04-29 18:53:02 2020-04-29 22:05:37 2020-04-29 22:21:36 0:15:59 0:04:53 0:11:06 smithi py2 rhel 8.1 rados/thrash/{0-size-min-size-overrides/3-size-2-min-size.yaml 1-pg-log-overrides/short_pg_log.yaml 2-recovery-overrides/{more-async-partial-recovery.yaml} backoff/peering.yaml ceph.yaml clusters/{fixed-2.yaml openstack.yaml} d-balancer/off.yaml msgr-failures/few.yaml msgr/async-v2only.yaml objectstore/bluestore-bitmap.yaml rados.yaml supported-random-distro$/{rhel_latest.yaml} thrashers/default.yaml thrashosds-health.yaml workloads/small-objects-localized.yaml} 2
Failure Reason:

-1.25.17-1.el8.x86_64', u' - cannot install the best update candidate for package subscription-manager-cockpit-1.25.17-1.el8.noarch', u' - cannot install the best update candidate for package dnf-plugin-subscription-manager-1.25.17-1.el8.x86_64'], u'changed': True, u'stderr': u'\n Problem: package subscription-manager-cockpit-1.26.16-1.el8.noarch requires subscription-manager, but none of the providers can be installed\n - package subscription-manager-1.25.17-1.el8.x86_64 requires dnf-plugin-subscription-manager = 1.25.17, but none of the providers can be installed\n - package subscription-manager-1.23.8-35.el8.x86_64 requires dnf-plugin-subscription-manager = 1.23.8, but none of the providers can be installed\n - cannot install both dnf-plugin-subscription-manager-1.26.16-1.el8.x86_64 and dnf-plugin-subscription-manager-1.25.17-1.el8.x86_64\n - cannot install both dnf-plugin-subscription-manager-1.26.16-1.el8.x86_64 and dnf-plugin-subscription-manager-1.23.8-35.el8.x86_64\n - package subscription-manager-1.26.16-1.el8.x86_64 obsoletes subscription-manager-plugin-container provided by subscription-manager-plugin-container-1.25.17-1.el8.x86_64\n - cannot install the best candidate for the job\nError: \n Problem: package subscription-manager-cockpit-1.26.16-1.el8.noarch requires subscription-manager, but none of the providers can be installed\n - package subscription-manager-1.25.17-1.el8.x86_64 requires dnf-plugin-subscription-manager = 1.25.17, but none of the providers can be installed\n - package subscription-manager-1.23.8-35.el8.x86_64 requires dnf-plugin-subscription-manager = 1.23.8, but none of the providers can be installed\n - package subscription-manager-1.26.16-1.el8.x86_64 obsoletes subscription-manager-plugin-container provided by subscription-manager-plugin-container-1.25.17-1.el8.x86_64\n - cannot install both dnf-plugin-subscription-manager-1.26.16-1.el8.x86_64 and dnf-plugin-subscription-manager-1.25.17-1.el8.x86_64\n - cannot install both dnf-plugin-subscription-manager-1.26.16-1.el8.x86_64 and dnf-plugin-subscription-manager-1.23.8-35.el8.x86_64\n - cannot install the best update candidate for package subscription-manager-plugin-container-1.25.17-1.el8.x86_64\n - cannot install the best update candidate for package subscription-manager-cockpit-1.25.17-1.el8.noarch\n - cannot install the best update candidate for package dnf-plugin-subscription-manager-1.25.17-1.el8.x86_64', u'stdout': u"Updating Subscription Management repositories.\nCopr repo for ceph-el8 owned by ktdreyer 60 kB/s | 3.3 kB 00:00 \nExtra Packages for Enterprise Linux 123 kB/s | 4.7 kB 00:00 \nlab-extras 1.2 MB/s | 2.9 kB 00:00 \nRed Hat Enterprise Linux 8 for x86_64 - BaseOS 77 kB/s | 2.4 kB 00:00 \nRed Hat Enterprise Linux 8 for x86_64 - AppStre 87 kB/s | 2.8 kB 00:00 \nDependencies resolved.\n================================================================================\n Package Arch Version Repository Size\n================================================================================\nInstalling Groups:\n Base \nSkipping packages with conflicts:\n(add '--best --allowerasing' to command line to force their upgrade):\n dnf-plugin-subscription-manager\n x86_64 1.23.8-35.el8 rhel-8-for-x86_64-baseos-rpms 260 k\n dnf-plugin-subscription-manager\n x86_64 1.26.16-1.el8 rhel-8-for-x86_64-baseos-rpms 278 k\nSkipping packages with broken dependencies:\n subscription-manager x86_64 1.23.8-35.el8 rhel-8-for-x86_64-baseos-rpms 1.1 M\n subscription-manager-cockpit\n noarch 1.26.16-1.el8 rhel-8-for-x86_64-baseos-rpms 1.0 M\n\nTransaction Summary\n================================================================================\nSkip 4 Packages\n\nComplete!\nUpdating Subscription Management repositories.\nRed Hat Enterprise Linux 8 for x86_64 - BaseOS 76 kB/s | 2.4 kB 00:00 \nRed Hat Enterprise Linux 8 for x86_64 - AppStre 87 kB/s | 2.8 kB 00:00 \n(try to add '--allowerasing' to command line to replace conflicting packages or '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)", u'msg': u'non-zero return code', u'delta': u'0:00:07.225507', 'stdout_lines': [u'Updating Subscription Management repositories.', u'Copr repo for ceph-el8 owned by ktdreyer 60 kB/s | 3.3 kB 00:00 ', u'Extra Packages for Enterprise Linux 123 kB/s | 4.7 kB 00:00 ', u'lab-extras 1.2 MB/s | 2.9 kB 00:00 ', u'Red Hat Enterprise Linux 8 for x86_64 - BaseOS 77 kB/s | 2.4 kB 00:00 ', u'Red Hat Enterprise Linux 8 for x86_64 - AppStre 87 kB/s | 2.8 kB 00:00 ', u'Dependencies resolved.', u'================================================================================', u' Package Arch Version Repository Size', u'================================================================================', u'Installing Groups:', u' Base ', u'Skipping packages with conflicts:', u"(add '--best --allowerasing' to command line to force their upgrade):", u' dnf-plugin-subscription-manager', u' x86_64 1.23.8-35.el8 rhel-8-for-x86_64-baseos-rpms 260 k', u' dnf-plugin-subscription-manager', u' x86_64 1.26.16-1.el8 rhel-8-for-x86_64-baseos-rpms 278 k', u'Skipping packages with broken dependencies:', u' subscription-manager x86_64 1.23.8-35.el8 rhel-8-for-x86_64-baseos-rpms 1.1 M', u' subscription-manager-cockpit', u' noarch 1.26.16-1.el8 rhel-8-for-x86_64-baseos-rpms 1.0 M', u'', u'Transaction Summary', u'================================================================================', u'Skip 4 Packages', u'', u'Complete!', u'Updating Subscription Management repositories.', u'Red Hat Enterprise Linux 8 for x86_64 - BaseOS 76 kB/s | 2.4 kB 00:00 ', u'Red Hat Enterprise Linux 8 for x86_64 - AppStre 87 kB/s | 2.8 kB 00:00 ', u"(try to add '--allowerasing' to command line to replace conflicting packages or '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)"], u'end': u'2020-04-29 22:20:52.310365', '_ansible_no_log': False, u'cmd': u'dnf -y groupinstall base --nobest && dnf -y group upgrade base', u'start': u'2020-04-29 22:20:45.084858', u'warnings': [u"Consider using the dnf module rather than running 'dnf'. If you need to use command because dnf is insufficient you can add 'warn: false' to this command task or set 'command_warnings=False' in ansible.cfg to get rid of this message."], u'rc': 1, u'invocation': {u'module_args': {u'creates': None, u'executable': None, u'_uses_shell': True, u'strip_empty_ends': True, u'_raw_params': u'dnf -y groupinstall base --nobest && dnf -y group upgrade base', u'removes': None, u'argv': None, u'warn': True, u'chdir': None, u'stdin_add_newline': True, u'stdin': None}}}}Traceback (most recent call last): File "/home/teuthworker/src/git.ceph.com_git_ceph-cm-ansible_master/callback_plugins/failure_log.py", line 44, in log_failure log.error(yaml.safe_dump(failure)) File "/home/teuthworker/src/git.ceph.com_git_teuthology_py2/virtualenv/local/lib/python2.7/site-packages/yaml/__init__.py", line 309, in safe_dump return dump_all([data], stream, Dumper=SafeDumper, **kwds) File "/home/teuthworker/src/git.ceph.com_git_teuthology_py2/virtualenv/local/lib/python2.7/site-packages/yaml/__init__.py", line 281, in dump_all dumper.represent(data) File "/home/teuthworker/src/git.ceph.com_git_teuthology_py2/virtualenv/local/lib/python2.7/site-packages/yaml/representer.py", line 29, in represent node = self.represent_data(data) File "/home/teuthworker/src/git.ceph.com_git_teuthology_py2/virtualenv/local/lib/python2.7/site-packages/yaml/representer.py", line 58, in represent_data node = self.yaml_representers[data_types[0]](self, data) File "/home/teuthworker/src/git.ceph.com_git_teuthology_py2/virtualenv/local/lib/python2.7/site-packages/yaml/representer.py", line 227, in represent_dict return self.represent_mapping(u'tag:yaml.org,2002:map', data) File "/home/teuthworker/src/git.ceph.com_git_teuthology_py2/virtualenv/local/lib/python2.7/site-packages/yaml/representer.py", line 125, in represent_mapping node_value = self.represent_data(item_value) File "/home/teuthworker/src/git.ceph.com_git_teuthology_py2/virtualenv/local/lib/python2.7/site-packages/yaml/representer.py", line 58, in represent_data node = self.yaml_representers[data_types[0]](self, data) File "/home/teuthworker/src/git.ceph.com_git_teuthology_py2/virtualenv/local/lib/python2.7/site-packages/yaml/representer.py", line 227, in represent_dict return self.represent_mapping(u'tag:yaml.org,2002:map', data) File "/home/teuthworker/src/git.ceph.com_git_teuthology_py2/virtualenv/local/lib/python2.7/site-packages/yaml/representer.py", line 125, in represent_mapping node_value = self.represent_data(item_value) File "/home/teuthworker/src/git.ceph.com_git_teuthology_py2/virtualenv/local/lib/python2.7/site-packages/yaml/representer.py", line 68, in represent_data node = self.yaml_representers[None](self, data) File "/home/teuthworker/src/git.ceph.com_git_teuthology_py2/virtualenv/local/lib/python2.7/site-packages/yaml/representer.py", line 251, in represent_undefined raise RepresenterError("cannot represent an object", data)RepresenterError: ('cannot represent an object', u'dnf -y groupinstall base --nobest && dnf -y group upgrade base')

pass 4997962 2020-04-29 17:50:43 2020-04-29 17:53:58 2020-04-29 18:29:58 0:36:00 0:22:28 0:13:32 smithi master fs:upgrade/featureful_client/old_client/{bluestore-bitmap.yaml clusters/1-mds-2-client-micro.yaml conf/{client.yaml mds.yaml mon.yaml osd.yaml} overrides/{frag_enable.yaml multimds/yes.yaml pg-warn.yaml whitelist_health.yaml whitelist_wrongly_marked_down.yaml} tasks/{0-nautilus.yaml 1-client.yaml 2-upgrade.yaml 3-compat_client/pacific.yaml}} 3
fail 4997956 2020-04-29 17:49:45 2020-04-29 17:49:48 2020-04-29 22:11:53 4:22:05 3:30:44 0:51:21 smithi master ubuntu 18.04 rados:upgrade:nautilus-x-singleton/{0-cluster/{openstack.yaml start.yaml} 1-install/nautilus.yaml 2-partial-upgrade/firsthalf.yaml 3-thrash/default.yaml 4-workload/{rbd-cls.yaml rbd-import-export.yaml readwrite.yaml snaps-few-objects.yaml} 5-workload/{radosbench.yaml rbd_api.yaml} 6-finish-upgrade.yaml 7-octopus.yaml 8-workload/{rbd-python.yaml snaps-many-objects.yaml} bluestore-bitmap.yaml thrashosds-health.yaml ubuntu_latest.yaml} 4
Failure Reason:

"2020-04-29T18:55:30.659156+0000 mds.a (mds.0) 1 : cluster [WRN] evicting unresponsive client smithi125:y (4769), after 302.396 seconds" in cluster log

pass 4997927 2020-04-29 15:35:17 2020-04-29 15:53:46 2020-04-29 16:17:46 0:24:00 0:11:22 0:12:38 smithi py2 rhel 8.1 rados/cephadm/smoke/{distro/rhel_latest.yaml fixed-2.yaml start.yaml} 2
fail 4997672 2020-04-29 14:28:15 2020-04-29 17:19:32 2020-04-29 17:55:31 0:35:59 0:18:03 0:17:56 smithi master ubuntu 18.04 fs/multiclient/{begin.yaml clusters/1-mds-3-client.yaml conf/{client.yaml mds.yaml mon.yaml osd.yaml} distros/ubuntu_latest.yaml mount/fuse.yaml objectstore-ec/bluestore-ec-root.yaml overrides/{frag_enable.yaml whitelist_health.yaml whitelist_wrongly_marked_down.yaml} tasks/cephfs_misc_tests.yaml} 5
Failure Reason:

Test failure: test_filtered_df (tasks.cephfs.test_misc.TestMisc)

fail 4997605 2020-04-29 14:27:16 2020-04-29 16:35:41 2020-04-29 17:25:41 0:50:00 0:30:24 0:19:36 smithi master fs/upgrade/featureful_client/old_client/{bluestore-bitmap.yaml clusters/1-mds-2-client-micro.yaml conf/{client.yaml mds.yaml mon.yaml osd.yaml} overrides/{frag_enable.yaml multimds/no.yaml pg-warn.yaml whitelist_health.yaml whitelist_wrongly_marked_down.yaml} tasks/{0-nautilus.yaml 1-client.yaml 2-upgrade.yaml 3-compat_client/no.yaml}} 3
Failure Reason:

Command failed on smithi125 with status 124: 'sudo adjust-ulimits ceph-coverage /home/ubuntu/cephtest/archive/coverage timeout 120 ceph --cluster ceph --log-early osd dump --format=json'

fail 4997565 2020-04-29 14:25:36 2020-04-29 16:14:55 2020-04-29 16:44:55 0:30:00 0:16:55 0:13:05 smithi master ubuntu 18.04 fs/basic_functional/{begin.yaml clusters/1-mds-4-client-coloc.yaml conf/{client.yaml mds.yaml mon.yaml osd.yaml} mount/fuse.yaml objectstore/bluestore-ec-root.yaml overrides/{frag_enable.yaml no_client_pidfile.yaml whitelist_health.yaml whitelist_wrongly_marked_down.yaml} supported-random-distros$/{ubuntu_latest.yaml} tasks/fragment.yaml} 2
Failure Reason:

Test failure: test_split_straydir (tasks.cephfs.test_fragment.TestFragmentation)

pass 4997501 2020-04-29 14:24:56 2020-04-29 15:21:22 2020-04-29 15:59:22 0:38:00 0:24:42 0:13:18 smithi master ubuntu 18.04 fs/basic_functional/{begin.yaml clusters/1-mds-4-client-coloc.yaml conf/{client.yaml mds.yaml mon.yaml osd.yaml} mount/fuse.yaml objectstore/bluestore-bitmap.yaml overrides/{frag_enable.yaml no_client_pidfile.yaml whitelist_health.yaml whitelist_wrongly_marked_down.yaml} supported-random-distros$/{ubuntu_latest.yaml} tasks/strays.yaml} 2
pass 4997464 2020-04-29 14:24:25 2020-04-29 14:55:11 2020-04-29 15:25:11 0:30:00 0:10:58 0:19:02 smithi master ubuntu 18.04 fs/multiclient/{begin.yaml clusters/1-mds-3-client.yaml conf/{client.yaml mds.yaml mon.yaml osd.yaml} distros/ubuntu_latest.yaml mount/fuse.yaml objectstore-ec/bluestore-comp-ec-root.yaml overrides/{frag_enable.yaml whitelist_health.yaml whitelist_wrongly_marked_down.yaml} tasks/ior-shared-file.yaml} 5
fail 4995600 2020-04-29 02:59:43 2020-04-29 03:55:40 2020-04-29 04:53:40 0:58:00 0:24:40 0:33:20 smithi master fs/upgrade/featureful_client/old_client/{bluestore-bitmap.yaml clusters/1-mds-2-client-micro.yaml conf/{client.yaml mds.yaml mon.yaml osd.yaml} overrides/{frag_enable.yaml multimds/no.yaml whitelist_health.yaml whitelist_wrongly_marked_down.yaml} tasks/{0-luminous.yaml 1-client.yaml 2-upgrade.yaml 3-compat_client/mimic.yaml}} 3
Failure Reason:

"2020-04-29 04:32:49.684289 mon.a mon.0 172.21.15.88:6789/0 100 : cluster [WRN] Health check failed: too few PGs per OSD (2 < min 30) (TOO_FEW_PGS)" in cluster log

pass 4995563 2020-04-29 02:59:10 2020-04-29 03:23:24 2020-04-29 03:55:24 0:32:00 0:09:54 0:22:06 smithi master ubuntu 18.04 fs/permission/{begin.yaml clusters/fixed-2-ucephfs.yaml conf/{client.yaml mds.yaml mon.yaml osd.yaml} mount/fuse.yaml objectstore-ec/bluestore-comp.yaml overrides/{frag_enable.yaml whitelist_health.yaml whitelist_wrongly_marked_down.yaml} supported-random-distros$/{ubuntu_latest.yaml} tasks/cfuse_workunit_misc.yaml} 2
pass 4995411 2020-04-29 00:00:24 2020-04-29 01:47:07 2020-04-29 02:49:07 1:02:00 0:50:16 0:11:44 smithi py2 centos 7.5 rados/dashboard/{clusters/{2-node-mgr.yaml} debug/mgr.yaml objectstore/bluestore-stupid.yaml supported-random-distro$/{centos_latest.yaml} tasks/dashboard.yaml} 2
fail 4995378 2020-04-28 23:59:58 2020-04-29 01:36:53 2020-04-29 01:48:53 0:12:00 0:04:31 0:07:29 smithi py2 rhel 7.5 rados/thrash-erasure-code-overwrites/{bluestore-bitmap.yaml ceph.yaml clusters/{fixed-2.yaml openstack.yaml} fast/fast.yaml msgr-failures/osd-delay.yaml rados.yaml recovery-overrides/{more-active-recovery.yaml} supported-random-distro$/{rhel_latest.yaml} thrashers/pggrow.yaml thrashosds-health.yaml workloads/ec-pool-snaps-few-objects-overwrites.yaml} 2
Failure Reason:

{'Failure object was': {'smithi088.front.sepia.ceph.com': {"u'changed'": False, 'installed or updated"': None, "u'invocation'": {"u'module_args'": {"u'list'": 'None', "u'disable_plugin'": [], "u'install_weak_deps'": True, "u'name'": ["u'@core'", "u'@base'", "u'yum-plugin-priorities'", "u'yum-plugin-fastestmirror'", "u'redhat-lsb'", "u'sysstat'", "u'gdb'", "u'git-all'", "u'python-configobj'", "u'gcc-c++'", "u'libedit'", "u'openssl098e'", "u'boost-thread'", "u'xfsprogs'", "u'xfsprogs-devel'", "u'gdisk'", "u'parted'", "u'libgcrypt'", "u'fuse'", "u'fuse-libs'", "u'lvm2'", "u'openssl'", "u'libuuid'", "u'btrfs-progs'", "u'attr'", "u'valgrind'", "u'python-nose'", "u'mpich'", "u'ant'", "u'lsof'", "u'iozone'", "u'libtool'", "u'automake'", "u'gettext'", "u'libuuid-devel'", "u'libacl-devel'", "u'bc'", "u'xfsdump'", "u'blktrace'", "u'numpy'", "u'python-matplotlib'", "u'qemu-kvm'", "u'usbredir'", "u'genisoimage'", "u'httpd'", "u'httpd-devel'", "u'httpd-tools'", "u'mod_ssl'", "u'mod_fastcgi-2.4.7-1.ceph.el7'", "u'libev-devel'", "u'perl-XML-Twig'", "u'java-1.6.0-openjdk-devel'", "u'junit4'", "u'nfs-utils'", "u'ncurses-devel'", "u'python-devel'", "u'python-virtualenv'", "u'perl-CPAN'", "u'podman'", "u'podman-docker'", "u'python3'"], "u'releasever'": 'None', "u'security'": False, "u'conf_file'": 'None', "u'autoremove'": False, "u'update_cache'": False, "u'disablerepo'": [], "u'skip_broken'": False, "u'disable_gpg_check'": False, "u'lock_timeout'": 0, "u'download_only'": False, "u'enablerepo'": [], "u'disable_excludes'": 'None', "u'download_dir'": 'None', "u'state'": "u'present'", "u'install_repoquery'": True, "u'allow_downgrade'": False, "u'validate_certs'": True, "u'update_only'": False, "u'exclude'": [], "u'bugfix'": False, "u'enable_plugin'": [], "u'use_backend'": "u'auto'", "u'installroot'": "u'/'"}}, '_ansible_no_log': False, "u'msg'": 'u"No package matching \'python3\' found available', "u'results'": ["u'yum-plugin-priorities-1.1.31-52.el7.noarch providing yum-plugin-priorities is already installed'", "u'yum-plugin-fastestmirror-1.1.31-52.el7.noarch providing yum-plugin-fastestmirror is already installed'", "u'redhat-lsb-4.1-27.el7.x86_64 providing redhat-lsb is already installed'", "u'sysstat-10.1.5-13.el7.x86_64 providing sysstat is already installed'", "u'gdb-7.6.1-110.el7.x86_64 providing gdb is already installed'", "u'git-all-1.8.3.1-20.el7.noarch providing git-all is already installed'", "u'python-configobj-4.7.2-7.el7.noarch providing python-configobj is already installed'", "u'gcc-c++-4.8.5-39.el7.x86_64 providing gcc-c++ is already installed'", "u'libedit-3.0-12.20121213cvs.el7.x86_64 providing libedit is already installed'", "u'openssl098e-0.9.8e-29.el7_2.3.x86_64 providing openssl098e is already installed'", "u'boost-thread-1.53.0-27.el7.x86_64 providing boost-thread is already installed'", "u'xfsprogs-4.5.0-20.el7.x86_64 providing xfsprogs is already installed'", "u'xfsprogs-devel-4.5.0-20.el7.x86_64 providing xfsprogs-devel is already installed'", "u'gdisk-0.8.6-5.el7.x86_64 providing gdisk is already installed'", "u'parted-3.1-29.el7.x86_64 providing parted is already installed'", "u'libgcrypt-1.5.3-14.el7.x86_64 providing libgcrypt is already installed'", "u'fuse-2.9.2-11.el7.x86_64 providing fuse is already installed'", "u'fuse-libs-2.9.2-11.el7.x86_64 providing fuse-libs is already installed'", "u'7:lvm2-2.02.177-4.el7.x86_64 providing lvm2 is already installed'", "u'1:openssl-1.0.2k-12.el7.x86_64 providing openssl is already installed'", "u'libuuid-2.23.2-61.el7.x86_64 providing libuuid is already installed'", "u'btrfs-progs-4.9.1-1.el7.x86_64 providing btrfs-progs is already installed'", "u'attr-2.4.46-13.el7.x86_64 providing attr is already installed'", "u'1:valgrind-3.14.0-16.el7.x86_64 providing valgrind is already installed'", "u'python-nose-1.3.7-1.el7.noarch providing python-nose is already installed'", "u'mpich-3.0-3.0.4-10.el7.x86_64 providing mpich is already installed'", "u'ant-1.9.4-2.el7.noarch providing ant is already installed'", "u'lsof-4.87-5.el7.x86_64 providing lsof is already installed'", "u'iozone-3.424-2_ceph.el7.x86_64 providing iozone is already installed'", "u'libtool-2.4.2-22.el7_3.x86_64 providing libtool is already installed'", "u'automake-1.13.4-3.el7.noarch providing automake is already installed'", "u'gettext-0.19.8.1-2.el7.x86_64 providing gettext is already installed'", "u'libuuid-devel-2.23.2-61.el7.x86_64 providing libuuid-devel is already installed'", "u'libacl-devel-2.2.51-14.el7.x86_64 providing libacl-devel is already installed'", "u'bc-1.06.95-13.el7.x86_64 providing bc is already installed'", "u'xfsdump-3.1.7-1.el7.x86_64 providing xfsdump is already installed'", "u'blktrace-1.0.5-8.el7.x86_64 providing blktrace is already installed'", "u'1:numpy-1.7.1-13.el7.x86_64 providing numpy is already installed'", "u'python-matplotlib-1.2.0-16.el7.x86_64 providing python-matplotlib is already installed'", "u'usbredir-0.7.1-3.el7.x86_64 providing usbredir is already installed'", "u'genisoimage-1.1.11-25.el7.x86_64 providing genisoimage is already installed'", "u'httpd-2.4.6-90.el7.x86_64 providing httpd is already installed'", "u'httpd-devel-2.4.6-90.el7.x86_64 providing httpd-devel is already installed'", "u'httpd-tools-2.4.6-90.el7.x86_64 providing httpd-tools is already installed'", "u'1:mod_ssl-2.4.6-90.el7.x86_64 providing mod_ssl is already installed'", "u'libev-devel-4.15-7.el7.x86_64 providing libev-devel is already installed'", "u'perl-XML-Twig-3.44-2.el7.noarch providing perl-XML-Twig is already installed'", "u'1:java-1.6.0-openjdk-devel-1.6.0.41-1.13.13.1.el7_3.x86_64 providing java-1.6.0-openjdk-devel is already installed'", "u'junit-4.11-8.el7.noarch providing junit4 is already installed'", "u'1:nfs-utils-1.3.0-0.65.el7.x86_64 providing nfs-utils is already installed'", "u'ncurses-devel-5.9-14.20130511.el7_4.x86_64 providing ncurses-devel is already installed'", "u'python-devel-2.7.5-86.el7.x86_64 providing python-devel is already installed'", "u'python-virtualenv-15.1.0-2.el7.noarch providing python-virtualenv is already installed'", "u'perl-CPAN-1.9800-294.el7_6.noarch providing perl-CPAN is already installed'", 'u"No package matching \'python3\' found available', 'installed or updated"'], "u'rc'": 126}}, 'Traceback (most recent call last)': 'File "/home/teuthworker/src/git.ceph.com_git_ceph-cm-ansible_master/callback_plugins/failure_log.py", line 44, in log_failure log.error(yaml.safe_dump(failure)) File "/home/teuthworker/src/git.ceph.com_git_teuthology_py2/virtualenv/local/lib/python2.7/site-packages/yaml/__init__.py", line 309, in safe_dump return dump_all([data], stream, Dumper=SafeDumper, **kwds) File "/home/teuthworker/src/git.ceph.com_git_teuthology_py2/virtualenv/local/lib/python2.7/site-packages/yaml/__init__.py", line 281, in dump_all dumper.represent(data) File "/home/teuthworker/src/git.ceph.com_git_teuthology_py2/virtualenv/local/lib/python2.7/site-packages/yaml/representer.py", line 29, in represent node = self.represent_data(data) File "/home/teuthworker/src/git.ceph.com_git_teuthology_py2/virtualenv/local/lib/python2.7/site-packages/yaml/representer.py", line 58, in represent_data node = self.yaml_representers[data_types[0]](self, data) File "/home/teuthworker/src/git.ceph.com_git_teuthology_py2/virtualenv/local/lib/python2.7/site-packages/yaml/representer.py", line 227, in represent_dict return self.represent_mapping(u\'tag:yaml.org,2002:map\', data) File "/home/teuthworker/src/git.ceph.com_git_teuthology_py2/virtualenv/local/lib/python2.7/site-packages/yaml/representer.py", line 125, in represent_mapping node_value = self.represent_data(item_value) File "/home/teuthworker/src/git.ceph.com_git_teuthology_py2/virtualenv/local/lib/python2.7/site-packages/yaml/representer.py", line 58, in represent_data node = self.yaml_representers[data_types[0]](self, data) File "/home/teuthworker/src/git.ceph.com_git_teuthology_py2/virtualenv/local/lib/python2.7/site-packages/yaml/representer.py", line 227, in represent_dict return self.represent_mapping(u\'tag:yaml.org,2002:map\', data) File "/home/teuthworker/src/git.ceph.com_git_teuthology_py2/virtualenv/local/lib/python2.7/site-packages/yaml/representer.py", line 125, in represent_mapping node_value = self.represent_data(item_value) File "/home/teuthworker/src/git.ceph.com_git_teuthology_py2/virtualenv/local/lib/python2.7/site-packages/yaml/representer.py", line 58, in represent_data node = self.yaml_representers[data_types[0]](self, data) File "/home/teuthworker/src/git.ceph.com_git_teuthology_py2/virtualenv/local/lib/python2.7/site-packages/yaml/representer.py", line 227, in represent_dict return self.represent_mapping(u\'tag:yaml.org,2002:map\', data) File "/home/teuthworker/src/git.ceph.com_git_teuthology_py2/virtualenv/local/lib/python2.7/site-packages/yaml/representer.py", line 125, in represent_mapping node_value = self.represent_data(item_value) File "/home/teuthworker/src/git.ceph.com_git_teuthology_py2/virtualenv/local/lib/python2.7/site-packages/yaml/representer.py", line 58, in represent_data node = self.yaml_representers[data_types[0]](self, data) File "/home/teuthworker/src/git.ceph.com_git_teuthology_py2/virtualenv/local/lib/python2.7/site-packages/yaml/representer.py", line 227, in represent_dict return self.represent_mapping(u\'tag:yaml.org,2002:map\', data) File "/home/teuthworker/src/git.ceph.com_git_teuthology_py2/virtualenv/local/lib/python2.7/site-packages/yaml/representer.py", line 125, in represent_mapping node_value = self.represent_data(item_value) File "/home/teuthworker/src/git.ceph.com_git_teuthology_py2/virtualenv/local/lib/python2.7/site-packages/yaml/representer.py", line 68, in represent_data node = self.yaml_representers[None](self, data) File "/home/teuthworker/src/git.ceph.com_git_teuthology_py2/virtualenv/local/lib/python2.7/site-packages/yaml/representer.py", line 251, in represent_undefined raise RepresenterError("cannot represent an object", data)', 'RepresenterError': "('cannot represent an object', u'/')"}

fail 4995328 2020-04-28 23:59:19 2020-04-29 01:13:16 2020-04-29 01:37:16 0:24:00 0:09:30 0:14:30 smithi py2 ubuntu 18.04 rados/thrash-erasure-code-big/{ceph.yaml cluster/{12-osds.yaml openstack.yaml} msgr-failures/few.yaml objectstore/filestore-xfs.yaml rados.yaml recovery-overrides/{more-active-recovery.yaml} supported-random-distro$/{ubuntu_latest.yaml} thrashers/mapgap.yaml thrashosds-health.yaml workloads/ec-rados-plugin=lrc-k=4-m=2-l=3.yaml} 3
Failure Reason:

local variable 'i' referenced before assignment